<?php
$form = $this->form;
$form->setAttribute('action', $this->url() . '/form_tambah');
$form->setAttribute("id", "demo-form");
$form->setAttribute("class", "form-horizontal pad15L pad15R pad15T");
$form->setAttribute("data-parsley-validate", "data-parsley-validate");
$form->setAttribute('enctype', 'multipart/form-data');
$form->prepare();
?>
<div id="page-content-wrapper">
    <div id="page-content" style="background-color: #DFF0D8">
        <div class="panel panel-primary">
            <div class="panel-heading">
                <h4>
                    Edit Pendaftaran Wajib Pajak
                </h4>
            </div>
            <div class="panel-body">
                <div class="example-box-wrapper">
                    <?= $this->form()->openTag($form) ?>
                    <div class="col-sm-12">
                        <label class="col-sm-2 "><p style="color: red; font-size: 10px; margin-top: -20px">(*) Wajib Diisi</p></label>
                    </div>
                    <div class="col-sm-12">
                        <label class="col-sm-2 ">Tanggal Pendaftaran<span style="color: red">*</span></label>
                        <div class="col-md-2">
                            <div class="input-prepend input-group">
                                <span class="add-on input-group-addon">
                                    <i class="glyph-icon icon-calendar"></i>
                                </span>
                                <?= $this->formHidden($form->get("t_idwp")) ?>
                                <?= $this->formText($form->get("t_tgldaftar")) ?>
                            </div>
                        </div>
                    </div>
                    <div class="col-sm-12">
                        <label class="col-sm-2">Jenis Pendaftaran<span style="color: red">*</span></label>
                        <div class="col-md-3">
                            <?= $this->formSelect($form->get("t_jenispendaftaran")) ?>
                        </div>
                        <label class="col-sm-2">Golongan Usaha<span style="color: red">*</span></label>
                        <div class="col-md-3">
                            <?= $this->formSelect($form->get("t_bidangusaha")) ?>
                        </div>
                    </div>
                    <div class="col-sm-12">
                        <label class="col-sm-2 ">Nomor Pendaftaran<span style="color: red">*</span></label>
                        <div class="col-md-4">
                            <?= $this->formText($form->get("t_nopendaftaran")) ?>
                        </div>
                    </div>
                    <div class="col-sm-12">
                        <label class="col-sm-2 ">NIK<span style="color: red">*</span></label>
                        <div class="col-md-4">
                            <?= $this->formText($form->get("t_nik")) ?>
                        </div>
                        <div class="col-md-1">
                            <button type="button" class="btn btn-primary btn-xs" onclick="ceknikcapil()">NIK CAPIL</button>
                        </div>
                    </div>

                    <div id="hidden_div" style="display: none; border: 2px solid #0073b7;" class="row">
                        <div class="panel-heading col-sm-12" style="background-color: #337ab7;">
                            <h4 style="color: white;">
                                Form Badan Usaha
                            </h4>
                        </div>
                        <div class="col-sm-12">
                            <label class="col-sm-2 ">Nama<span style="color: red">*</span></label>
                            <div class="col-md-4">
                                <?= $this->formText($form->get("t_nama_badan")) ?>
                            </div>
                        </div>
                        <div class="col-sm-12">
                            <label class="col-sm-2 ">Jalan</label>
                            <div class="col-md-4">
                                <?= $this->formTextarea($form->get("t_jalan_badan")) ?>
                            </div>
                        </div>
                        <div class="col-sm-12">
                            <label class="col-sm-2 ">RT<span style="color: red">*</span></label>
                            <div class="col-md-1">
                                <?= $this->formText($form->get("t_rt_badan")) ?>
                            </div>
                            <label class="col-sm-1">RW<span style="color: red">*</span></label>
                            <div class="col-md-1">
                                <?= $this->formText($form->get("t_rw_badan")) ?>
                            </div>
                        </div>
                        <div id="keckelluar_badan"></div>
                        <div class="col-sm-12">
                            <label class="col-sm-2 ">Kecamatan<span style="color: red">*</span></label>
                            <div class="col-md-4">
                                <div class="input-prepend input-group">
                                    <span class="add-on input-group-addon">
                                        <i class="glyph-icon icon-map-marker"></i>
                                    </span>
                                    <?= $this->formSelect($form->get("t_kecamatan_badan")) ?>
                                </div>
                            </div>
                            <label class="col-sm-1">Kelurahan<span style="color: red">*</span></label>
                            <div class="col-md-4">
                                <div class="input-prepend input-group">
                                    <span class="add-on input-group-addon">
                                        <i class="glyph-icon icon-map-marker"></i>
                                    </span>
                                    <?= $this->formSelect($form->get("t_kelurahan_badan")) ?>
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-12">
                            <label class="col-sm-2 ">Kabupaten<span style="color: red">*</span></label>
                            <div class="col-md-3">
                                <div class="input-prepend input-group">
                                    <span class="add-on input-group-addon">
                                        <i class="glyph-icon icon-map-marker"></i>
                                    </span>
                                    <?= $this->formText($form->get("t_kabupaten_badan")) ?>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="col-sm-12">
                        <label class="col-sm-2 ">Nama<span style="color: red">*</span></label>
                        <div class="col-md-4">
                            <?= $this->formText($form->get("t_nama")) ?>
                        </div>
                    </div>
                    <div class="col-sm-12">
                        <label class="col-sm-2 ">Jalan<span style="color: red">*</span></label>
                        <div class="col-md-4">
                            <?= $this->formTextarea($form->get("t_alamat")) ?>
                        </div>
                    </div>
                    <div class="col-sm-12">
                        <label class="col-sm-2 ">RT<span style="color: red">*</span></label>
                        <div class="col-md-1">
                            <?= $this->formText($form->get("t_rt")) ?>
                        </div>
                        <label class="col-sm-1">RW<span style="color: red">*</span></label>
                        <div class="col-md-1">
                            <?= $this->formText($form->get("t_rw")) ?>
                        </div>
                    </div>
                    <div class="col-sm-12">
                        <label class="col-sm-2 ">Kecamatan<span style="color: red">*</span></label>
                        <div class="col-md-4">
                            <div class="input-prepend input-group">
                                <span class="add-on input-group-addon">
                                    <i class="glyph-icon icon-map-marker"></i>
                                </span>
                                <?= $this->formSelect($form->get("t_kecamatan")) ?>
                            </div>
                        </div>
                        <label class="col-sm-1">Kelurahan<span style="color: red">*</span></label>
                        <div class="col-md-4">
                            <div class="input-prepend input-group">
                                <span class="add-on input-group-addon">
                                    <i class="glyph-icon icon-map-marker"></i>
                                </span>
                                <?= $this->formSelect($form->get("t_kelurahan")) ?>
                            </div>
                        </div>
                    </div>
                    <div id="keckelluar"></div>
                    <div class="col-sm-12">
                        <label class="col-sm-2 ">Kabupaten<span style="color: red">*</span></label>
                        <div class="col-md-3">
                            <div class="input-prepend input-group">
                                <span class="add-on input-group-addon">
                                    <i class="glyph-icon icon-map-marker"></i>
                                </span>
                                <?= $this->formText($form->get("t_kabupaten")) ?>
                            </div>
                        </div>
                    </div>
                    <div class="col-sm-12">
                        <label class="col-sm-2 ">No. Telp./HP.<span style="color: red">*</span></label>
                        <div class="col-sm-3">
                            <div class="input-prepend input-group">
                                <span class="add-on input-group-addon">
                                    <i class="glyph-icon icon-phone"></i>
                                </span>
                                <?= $this->formText($form->get("t_notelp")) ?>
                            </div>
                        </div>
                        <div class="col-sm-2">
                            <b style="color: blue">ex : 08</b>
                        </div>
                    </div>
                    <div class="col-sm-12">
                        <label class="col-sm-2 ">Email</label>
                        <div class="col-sm-3">
                            <div class="input-prepend input-group">
                                <span class="add-on input-group-addon">
                                    <i class="glyph-icon icon-envelope"></i>
                                </span>
                                <?= $this->formText($form->get("t_email")) ?>
                            </div>
                        </div>
                    </div>
                    <div class="col-sm-12">
                        <label class="col-sm-2 ">Kode Pos</label>
                        <div class="col-md-3">
                            <?= $this->formText($form->get("t_kodepos")) ?>
                        </div>
                    </div>
                    <!--<div class="col-md-12 form-horizontal">
                        <label class="col-md-2">
                            Photo 
                        </label>
                        <div class="col-md-10">
                            <div class="fileinput fileinput-new" data-provides="fileinput">
                                <div class="fileinput-preview thumbnail" data-trigger="fileinput" style="width: 170px; height: 200px;">
                                    <img id="t_photowp" src="<=$this->basePath() . "/" . $photo_wp ?>" style="width: 170px; height: 200px;"/>  
                                    
                                </div>
                                <div>
                                    <span class="btn btn-primary btn-file">
                                        <span class="fileinput-new">Upload Photo</span>
                                        <span class="fileinput-exists">Change</span>
                                        <= $this->formFile($form->get("t_photowp")) ?>
                                    </span>
                                    <a href="#" class="btn btn-default fileinput-exists" data-dismiss="fileinput">Remove</a>
                                </div>
                            </div>
                        </div>
                    </div>-->
                    <div class="col-sm-12" style="padding-top: 10px;display: none;" id="divuploadperijinan">
                        <table width="100%" cellspacing="2" cellpadding="2" class="table table-bordered table-hover table-striped">
                            <thead>
                            <tr>
                                <th colspan="6">UPLOAD JENIS PERIZINAN
                                    <span class="btn btn-sm btn-primary pull-right" id="tambahDetail"><i class="glyph-icon icon-plus"></i> Tambah Detail</span></th>
                            </tr>
                            <tr>
                                <th>Nama Perijinan</th>
                                <th>Nomor</th>
                                <th>Tanggal</th>
                                <th>Berkas</th>
                                <th>Keterangan</th>
                                <th>#</th>
                            </tr>
                            </thead>
                            <?php
                            $kk = 1;
                            foreach ($ar_detailperijinan as $row):
                            ?>
                            <tr id="detailnode<?= $kk ?>">
                                <td>
                                    <input type="hidden" id="t_idwpijin<?= $kk ?>" name="t_idwpijin[]" value="<?=$row['t_idwpijin']?>">
                                    <input type="text" class="form-control" name="t_wpnama_ijin[]" id="t_wpnama_ijin<?= $kk ?>" value="<?=$row['t_wpnama_ijin']?>">
                                </td>
                                <td><input type="text" class="form-control" name="t_wpnomor_ijin[]" id="t_wpnomor_ijin<?= $kk ?>" value="<?=$row['t_wpnomor_ijin']?>"></td>
                                <td><input type="text" class="form-control" name="t_wptanggalijin[]" id="t_wptanggalijin<?= $kk ?>" placeholder="dd-mm-yyyy" value="<?=$row['t_wptanggalijin']?>"></td>
                                <td><input type="file" class="form-control" name="t_wpberkas_ijin[]" id="t_wpberkas_ijin<?= $kk ?>" value="<?=$row['t_wpberkas_ijin']?>"></td>
                                <td><input type="text" class="form-control" name="t_wpketerangan_ijin[]" id="t_wpketerangan_ijin<?= $kk ?>" value="<?=$row['t_wpketerangan_ijin']?>"></td>
                                <td><span class="btn btn-sm btn-danger" onclick="removetr(<?= $kk ?>)"><span class="glyph-icon icon-trash"></span></span></td>
                            </tr>
                            <?php
                            $kk++;
                            endforeach;
                            ?>
                            <input type="hidden" id="idl" value="1">
                            <tbody id="add_Detail">
                            </tbody>
                        </table>
                    </div>
                </div>
                <div class="bg-default" id="tombolsimpan">
                    <?= $this->formInput($form->get('Pendaftaransubmit')) ?> 
                </div>
                <?= $this->form()->closeTag($form) ?>
            </div>
        </div>
    </div>
</div>
<div class="modal fade" id="modalSimpan" tabindex="-1" aria-hidden="true" style="text-align: center;width: 100%;">
    <div class="lds-spinner"><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div></div>
</div>

<script>
    $('#Pendaftaransubmit').click(function () {
        var myForm = document.getElementById('demo-form');
        myForm.onsubmit = function () {
            var allInputs = myForm.getElementsByTagName('input');
            var input, i;

            for (i = 0; input = allInputs[i]; i++) {
                if (input.getAttribute('name') && !input.value) {
                    //input.setAttribute('name', '');

                } else {
                    jQuery('#modalSimpan').modal('show');
                }
            }
        };
    });
    
    $(function () {
        if($('#t_bidangusaha').val()==1){
            $('#hidden_div').hide();
            document.getElementById('divuploadperijinan').style.display = "none";
            $('#t_rt_badan').removeAttr('data-parsley-type');
            $('#t_rw_badan').removeAttr('data-parsley-type');
            $('#t_nama_badan').removeAttr('required');
            $('#t_rt_badan').removeAttr('required');
            $('#t_rw_badan').removeAttr('required');
            $('#t_kecamatan_badan').removeAttr('required');
            $('#t_kelurahan_badan').removeAttr('required');
            $('#t_jalan_badan').removeAttr('required');
            $('#t_kabupaten_badan').removeAttr('required');
        }else{
            $('#hidden_div').show();
            document.getElementById('divuploadperijinan').style.display = "block";
            $('#t_nama_badan').attr('required', 'required');
            $('#t_rt_badan').attr('required', 'required');
            $('#t_rw_badan').attr('required', 'required');
            $('#t_kecamatan_badan').attr('required', 'required');
            $('#t_kelurahan_badan').attr('required', 'required');
            $('#t_jalan_badan').attr('required', 'required');
            $('#t_kabupaten_badan').attr('required', 'required');
            $('#t_rt_badan').attr('data-parsley-type', 'digits');
            $('#t_rw_badan').attr('data-parsley-type', 'digits');
            
        }
    });

    function comboKelurahanCamat_badan() {
        $.post('<?= $this->url() ?>/comboKelurahanCamat', {t_kecamatan: $('#t_kecamatan_badan').val()}, function (data) {
            var aa = JSON.parse(data);
            $("#t_kelurahan_badan").html(aa.res);
            $("#keckelluar_badan").html(aa.keckelluar_badan);
        });
    }

    function showDiv(elem) {
        if (elem.value == 2) {
            document.getElementById('hidden_div').style.display = "block";
            $('#t_nama_badan').attr('required', 'required');
            $('#t_rt_badan').attr('required', 'required');
            $('#t_rw_badan').attr('required', 'required');
            $('#t_kecamatan_badan').attr('required', 'required');
            $('#t_kelurahan_badan').attr('required', 'required');
            $('#t_jalan_badan').attr('required', 'required');
            $('#t_kabupaten_badan').attr('required', 'required');
            $('#t_rt_badan').attr('data-parsley-type', 'digits');
            $('#t_rw_badan').attr('data-parsley-type', 'digits');
            
        } else {
            document.getElementById('hidden_div').style.display = "none";
            $('#t_rt_badan').removeAttr('data-parsley-type');
            $('#t_rw_badan').removeAttr('data-parsley-type');
            $('#t_nama_badan').removeAttr('required');
            $('#t_rt_badan').removeAttr('required');
            $('#t_rw_badan').removeAttr('required');
            $('#t_kecamatan_badan').removeAttr('required');
            $('#t_kelurahan_badan').removeAttr('required');
            $('#t_jalan_badan').removeAttr('required');
            $('#t_kabupaten_badan').removeAttr('required');
        }
    }
    
    $(document).ready(function () {
        $("#tambahDetail").click(function () {
            var idl = document.getElementById("idl").value;
            $("#add_Detail").append(
                    '<tr id="detailnode' + idl + '">' +
                    '<td>' +
                    '<input type="hidden" id="t_idwpijin' + idl + '" name="t_idwpijin[]">' +
                    '<input type="text" class="form-control" name="t_wpnama_ijin[]" id="t_wpnama_ijin' + idl + '">' +
                    '</td>' +
                    '<td>' +
                    '<input type="text" class="form-control" name="t_wpnomor_ijin[]" id="t_wpnomor_ijin' + idl + '">' +
                    '</td>' +
                    '<td>' +
                    '<input type="text" class="form-control" name="t_wptanggalijin[]" id="t_wptanggalijin' + idl + '" placeholder="dd-mm-yyyy">' +
                    '</td>' +
                    '<td>' +
                    '<input type="file" class="form-control" name="t_wpberkas_ijin[]" id="t_wpberkas_ijin' + idl + '">' +
                    '</td>' +
                    '<td>' +
                    '<input type="text" class="form-control" name="t_wpketerangan_ijin[]" id="t_wpketerangan_ijin' + idl + '">' +
                    '</td>' +
                    '<td>' +
                    '<span class="btn btn-sm btn-danger" onclick="removetr(' + idl + ')"><span class="glyph-icon icon-trash"></span></span>' +
                    '</td>' +
                    '</tr>'
                    );
            idl = (idl - 1) + 2;
            document.getElementById("idl").value = idl;
        });
    });

    function removetr(a) {
        $("#detailnode" + a).remove();
    }
</script>


<script>
    function comboKelurahanCamat() {
        $.post('<?= $this->url() ?>/comboKelurahanCamat', {t_kecamatan: $('#t_kecamatan').val()}, function (data) {
            var aa = JSON.parse(data);
            $("#t_kelurahan").html(aa.res);
            $("#keckelluar").html(aa.keckelluar);
        });
    }



    function ceknikcapil() {
        $.post('<?= $this->url() ?>/ceknikcapil', {t_nik: $('#t_nik').val()}, function (data) {
            var aa = JSON.parse(data);
            $('#t_nama').val(aa.nama_lengkap);
            $('#t_alamat').val(aa.alamat);
            $('#t_rt').val(aa.rt);
            $('#t_rw').val(aa.rw);
            $('#t_kabupaten').val(aa.nama_kab);
            $('#t_kecamatan').val(aa.idkec);
            comboKelurahanCamat();
            setTimeout(function () {
                $('#t_kelurahan').val(aa.idkel);
            }, 1500);
        });

    }
</script>